commit:     0ddc51d7ea825f0d5dfcc276d7bcbdcccab27d2c
Author:     Binyamin Sagal <bensagal <AT> gmail <DOT> com>
AuthorDate: Tue May 19 07:37:05 2015 +0000
Commit:     Heather Cynede <cynede <AT> gentoo <DOT> org>
CommitDate: Tue May 19 07:37:05 2015 +0000
URL:        https://gitweb.gentoo.org/proj/dotnet.git/commit/?id=0ddc51d7

Add mono 4.0.1.34

 .../files/add_missing_vb_portable_targets.patch    |  20 ++++
 dev-lang/mono/mono-4.0.1.34.ebuild                 | 124 +++++++++++++++++++++
 2 files changed, 144 insertions(+)

diff --git a/dev-lang/mono/files/add_missing_vb_portable_targets.patch 
b/dev-lang/mono/files/add_missing_vb_portable_targets.patch
new file mode 100644
index 0000000..ece90a5
--- /dev/null
+++ b/dev-lang/mono/files/add_missing_vb_portable_targets.patch
@@ -0,0 +1,20 @@
+Index: mcs/tools/xbuild/targets/Microsoft.Portable.VisualBasic_4.0.targets
+===================================================================
+--- /dev/null  1970-01-01 00:00:00.000000000 +0000
++++ mcs/tools/xbuild/targets/Microsoft.Portable.VisualBasic_4.0.targets        
2015-05-15 15:55:12.074775985 +0100
+@@ -0,0 +1,5 @@
++<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003";>
++      <Import Project="..\Microsoft.Portable.Core.props" />
++      <Import Project="$(MSBuildToolsPath)\Microsoft.VisualBasic.targets" />
++      <Import Project="..\Microsoft.Portable.Core.targets" />
++</Project>
+Index: mcs/tools/xbuild/targets/Microsoft.Portable.VisualBasic_4.5.targets
+===================================================================
+--- /dev/null  1970-01-01 00:00:00.000000000 +0000
++++ mcs/tools/xbuild/targets/Microsoft.Portable.VisualBasic_4.5.targets        
2015-05-15 15:55:19.194775876 +0100
+@@ -0,0 +1,5 @@
++<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003";>
++      <Import Project="..\Microsoft.Portable.Core.props" />
++      <Import Project="$(MSBuildToolsPath)\Microsoft.VisualBasic.targets" />
++      <Import Project="..\Microsoft.Portable.Core.targets" />
++</Project>

diff --git a/dev-lang/mono/mono-4.0.1.34.ebuild 
b/dev-lang/mono/mono-4.0.1.34.ebuild
new file mode 100644
index 0000000..c76fb8f
--- /dev/null
+++ b/dev-lang/mono/mono-4.0.1.34.ebuild
@@ -0,0 +1,124 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+AUTOTOOLS_PRUNE_LIBTOOL_FILES="all"
+
+inherit eutils linux-info mono-env flag-o-matic pax-utils autotools-utils
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page";
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2";
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception 
IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="nls minimal pax_kernel xen doc debug"
+
+COMMONDEPEND="
+       !minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+       ia64? ( sys-libs/libunwind )
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+       || ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+       sys-devel/bc
+       virtual/yacc
+       pax_kernel? ( sys-apps/elfix )
+"
+
+S="${WORKDIR}/${PN}-4.0.1"
+
+MAKEOPTS="${MAKEOPTS} -j1" #nowarn
+
+pkg_pretend() {
+       # If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang 
while compiling.
+       # See http://bugs.gentoo.org/261869 for more info."
+       CONFIG_CHECK="SYSVIPC"
+       use kernel_linux && check_extra_config
+}
+
+pkg_setup() {
+       linux-info_pkg_setup
+       mono-env_pkg_setup
+}
+
+src_prepare() {
+       # we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so 
it don't
+       # get killed in the build proces when MPROTEC is enable. #286280
+       # RANDMMAP kill the build proces to #347365
+       if use pax_kernel ; then
+               ewarn "We are disabling MPROTECT on the mono binary."
+
+               # issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+               sed '/exec "/ i\paxctl-ng -mr "$r/@mono_runtime@"' -i 
"${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+       fi
+
+       # mono build system can fail otherwise
+       strip-flags
+
+       # Remove this at your own peril. Mono will barf in unexpected ways.
+       append-flags -fno-strict-aliasing
+
+       #fix vb targets http://osdir.com/ml/general/2015-05/msg20808.html
+       epatch "${FILESDIR}/add_missing_vb_portable_targets.patch"
+
+       autotools-utils_src_prepare
+}
+
+src_configure() {
+       # NOTE: We need the static libs for now so mono-debugger works.
+       # See http://bugs.gentoo.org/show_bug.cgi?id=256264 for details
+       #
+       # --without-moonlight since www-plugins/moonlight is not the only one
+       # using mono: https://bugzilla.novell.com/show_bug.cgi?id=641005#c3
+       #
+       # --with-profile4 needs to be always enabled since it's used by default
+       # and, otherwise, problems like bug #340641 appear.
+       #
+       # sgen fails on ppc, bug #359515
+       local myeconfargs=(
+               --enable-system-aot=yes
+               --enable-static
+               --disable-quiet-build
+               --without-moonlight
+               --with-libgdiplus=$(usex minimal no installed)
+               $(use_with xen xen_opt)
+               --without-ikvm-native
+               --with-jit
+               --disable-dtrace
+               --with-profile4
+               --with-sgen=$(usex ppc no yes)
+               $(use_with doc mcs-docs)
+               $(use_enable debug)
+               $(use_enable nls)
+       )
+
+       autotools-utils_src_configure
+
+       # FIX for uncompilable 3.4.0 sources
+       
FF="${WORKDIR}/mono-3.4.0/mcs/tools/xbuild/targets/Microsoft.Portable.Common.targets"
+       rm -f $FF
+       touch $FF
+       echo '<Project 
xmlns="http://schemas.microsoft.com/developer/msbuild/2003";>' >> $FF
+       echo '    <Import Project="..\\Microsoft.Portable.Core.props" />' >> $FF
+       echo '    <Import Project="..\\Microsoft.Portable.Core.targets" />' >> 
$FF
+       echo '</Project>' >> $FF
+}
+
+src_compile() {
+       nonfatal autotools-utils_src_compile || {
+               eqawarn "maintainer of this ebuild has no idea why it fails. If 
you happen to know how to fix it - please let me know"
+               autotools-utils_src_compile
+        }
+}
+
+src_test() {
+       cd mcs/tests || die
+       emake check
+}

Reply via email to